<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('order_operate_log', function (Blueprint $table) {
            $table->integer('type')->default(0)->comment('类型')->after('order_id');
            $table->string('delivery_name')->default(0)->comment('快递名')->after('remark');
            $table->string('delivery_num')->default(0)->comment('单号')->after('remark');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('order_operate_log', function (Blueprint $table) {
            $table->dropColumn('type');
            $table->dropColumn('delivery_name');
            $table->dropColumn('delivery_num');
        });
    }
};
